;;;; message-digest-type.types.scm  -*- Scheme -*-
;;;; Kon Lovett, Apr '20

;; Include File

(include-relative "message-digest-primitive.types")

(define-type srfi-4-vector
  (or u8vector s8vector u16vector s16vector u32vector s32vector f32vector f64vector))

(define-type message-digest-result-form symbol)

(define-type message-digest-result-type (or string blob u8vector))

#; ;desired, bufpointer is (pointer + length)
(define-type message-digest-buffer (or string blob srfi-4-vector procedure input-port bufpointer))
(define-type message-digest-buffer (or string blob u8vector))

(define-type message-digest-primitive-context *)

(define-type message-digest (struct message-digest))

(define-type message-digest-kind (or message-digest message-digest-primitive))
